# eric4.Plugins.PluginWizardQFontDialog

Module implementing the QFontDialog wizard plugin.

### Classes

FontDialogWizard | Class implementing the QFontDialog wizard plugin.

### Functions

None

## FontDialogWizard

Class implementing the QFontDialog wizard plugin.

### Derived from

QObject

### Methods

FontDialogWizard | Constructor
__callForm | Private method to display a dialog and get the code.
__handle | Private method to handle the wizards action
__initAction | Private method to initialize the action.
__initMenu | Private method to add the actions to the right menu.
activate | Public method to activate this plugin.
deactivate | Public method to deactivate this plugin.

#### FontDialogWizard (Constructor)

FontDialogWizard(ui)

Constructor

ui
  reference to the user interface object (UI.UserInterface)

#### FontDialogWizard.__callForm

__callForm(editor)

Private method to display a dialog and get the code.

editor
  reference to the current editor

Returns:
  the generated code (string)

#### FontDialogWizard.__handle

__handle()

Private method to handle the wizards action

#### FontDialogWizard.__initAction

__initAction()

Private method to initialize the action.

#### FontDialogWizard.__initMenu

__initMenu()

Private method to add the actions to the right menu.

#### FontDialogWizard.activate

activate()

Public method to activate this plugin.

Returns:
  tuple of None and activation status (boolean)

#### FontDialogWizard.deactivate

deactivate()

Public method to deactivate this plugin.

Up